# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/breeze-icons': '@latest-kf6'
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kcmutils': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kconfigwidgets': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kcrash': '@latest-kf6'
    'frameworks/kdeclarative': '@latest-kf6'
    'frameworks/kdoctools': '@latest-kf6'
    'frameworks/kglobalaccel': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kidletime': '@latest-kf6'
    'frameworks/knewstuff': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/kpackage': '@latest-kf6'
    'frameworks/kservice': '@latest-kf6'
    'frameworks/ksvg': '@latest-kf6'
    'frameworks/kwidgetsaddons': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/kxmlgui': '@latest-kf6'
    'libraries/libqaccessibilityclient': '@latest-kf6'
    'libraries/plasma-wayland-protocols': '@latest-kf6'
    'plasma/breeze': '@same'
    'plasma/plasma-activities': '@same'
    'plasma/kdecoration': '@same'
    'plasma/kglobalacceld': '@same'
    'plasma/kpipewire': '@same'
    'plasma/kscreenlocker': '@same'
    'plasma/kwayland': '@same'
    'third-party/wayland': '@latest'
    'third-party/wayland-protocols': '@latest'

RuntimeDependencies:
- 'on': ['@all']
  'require':
    'frameworks/kirigami': '@latest-kf6'
    'plasma/libplasma': '@same'
    'plasma/plasma-workspace': '@same' # kscreenlocker needs it

Options:
  ctest-arguments: '--repeat until-pass:5'
  use-ccache: True
  require-passing-tests-on: ['Linux']
